VIGRA - TemplateSequenceAccessor class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| SequenceAccessor Class Template Reference |
--- | --- | ---

Accessor for items that are STL compatible sequences. More...

`#include "vigra/accessor.hxx"`

Inheritance diagram for SequenceAccessor:

## Public Types
typedef SEQUENCE::value_type | component_type
## Public Methods
template<class ITERATOR> iterator | begin (ITERATOR const &i) const
template<class ITERATOR> iterator | end (ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE> iterator | begin (ITERATOR const &i, DIFFERENCE const &diff) const
template<class ITERATOR, class DIFFERENCE> iterator | end (ITERATOR const &i, DIFFERENCE const &diff) const
template<class ITERATOR> unsigned int | size (ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE> unsigned int | size (ITERATOR const &i, DIFFERENCE const &diff) const

## Detailed Description

### template<class SEQUENCE>
class vigra::SequenceAccessor< SEQUENCE >

Accessor for items that are STL compatible sequences.

It encapsulates access to the sequences' begin() and end() functions.

Usage:

#include "vigra/accessor.hxx"
Namespace: vigra

        typedef std::list<std::list<int> > ListOfLists;

        ListOfLists ll;
        ...

        typedef vigra::SequenceAccessor<ListOfLists::value_type> ListOfListsAccessor;
        ListOfListsAccessor a;
        for(ListOfLists::iterator li = ll.begin(); li != ll.end(); ++li)
        {
            for(ListOfListsAccessor::iterator i = a.begin(li); i != a.end(li); ++i)
            {
                *i = 10;
            }
        }

## Member Typedef Documentation

typedef SEQUENCE::value_type component_type

| the sequence's value_type Reimplemented in VectorAccessor, RGBAccessor, and VectorAccessor< RGBVALUE >.

## Member Function Documentation

iterator begin | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) | const`[inline]`

| get begin iterator for sequence at an offset of given iterator position

iterator begin | ( | ITERATOR const & | i | ) | const`[inline]`

| get begin iterator for sequence at given iterator position

iterator end | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) | const`[inline]`

| get end iterator for sequence at a 2D difference vector of given iterator position

iterator end | ( | ITERATOR const & | i | ) | const`[inline]`

| get end iterator for sequence at given iterator position

unsigned int size | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) | const`[inline]`

| get size of sequence at 2D difference vector of given iterator position

unsigned int size | ( | ITERATOR const & | i | ) | const`[inline]`

| get size of sequence at given iterator position

The documentation for this class was generated from the following file:

- vigra/accessor.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)